WebGadget very old with IE 4.0 ActiveX

Got an idea for enhancing PureBasic? New command(s) you'd like to see?
nicolaus
Enthusiast
Enthusiast
Posts: 451
Joined: Tue Aug 05, 2003 11:30 pm
Contact:

WebGadget very old with IE 4.0 ActiveX

Post by nicolaus »

Hi PB Team,

The IE 4.0 ActiveX is very old and actual new websites are not working any more right in the WebGadget.
So is there any way that you can update this ActiveX Object to a newver version ( in my Windows 8.1 is actual IE 11 installed so maybe there is also a new version of the ActiveX Object)

Hoipe you can fix this asap because until a update is there, the webgadget is not fully useable.

Thanks,
Nico
IdeasVacuum
Always Here
Always Here
Posts: 6385
Joined: Fri Oct 23, 2009 2:33 am
Location: Wales, UK
Contact:

Re: WebGadget very old with IE 4.0 ActiveX

Post by IdeasVacuum »

.... No FireFox/Chrome either. Perhaps WebKit could be used, since it already is for Linux and OSX?
I think the most desirable is Chrome, it is way faster than IE (and faster than FireFox, even though FF is built on Chrome).
IdeasVacuum
If it sounds simple, you have not grasped the complexity.
rsts
Addict
Addict
Posts: 2736
Joined: Wed Aug 24, 2005 8:39 am
Location: Southwest OH - USA

Re: WebGadget very old with IE 4.0 ActiveX

Post by rsts »

nicolaus
Enthusiast
Enthusiast
Posts: 451
Joined: Tue Aug 05, 2003 11:30 pm
Contact:

Re: WebGadget very old with IE 4.0 ActiveX

Post by nicolaus »

First thx for the link.
This is nice but the point that the WebGadget is out of time is still there!

To work with DOM and the WebGadget is crasy and a lot of stuff dosen't work with the old WebGadget.
So i think the WebGadget must be fully redesigned by the PB team.

Hope this is, in time of Internet, HTML5 etc., more importend for the next PB update.
Until this, the WebGadget is only very limited usable.

That is my point of view :D
freak
PureBasic Team
PureBasic Team
Posts: 5835
Joined: Fri Apr 25, 2003 5:21 pm
Location: Germany

Re: WebGadget very old with IE 4.0 ActiveX

Post by freak »

Your IE is probably running in compatibility mode which makes it act like an older IE version. We don't use a particular IE version. Whatever is installed on the system is used.
quidquid Latine dictum sit altum videtur
Poshu
Enthusiast
Enthusiast
Posts: 460
Joined: Tue Jan 25, 2005 7:01 pm
Location: Canada

Re: WebGadget very old with IE 4.0 ActiveX

Post by Poshu »

IdeasVacuum wrote:even though FF is built on Chrome
Nope. Nope nope nope. NOOOOOOPE

A Firefox Lover.
reddon
New User
New User
Posts: 7
Joined: Mon Mar 24, 2014 4:50 pm

Re: WebGadget very old with IE 4.0 ActiveX

Post by reddon »

I've been looking on different threads (incl. the given http://www.purebasic.fr/english/viewtop ... _Emulation) in this forum with great posts about how to use the latest IE version. Best post was to change the registry key. But I've found a better way. Just insert following in the <head></head> section:

Code: Select all

<meta http-equiv='X-UA-Compatible' content='IE=edge' />
Edge means it should use the latest IE version. Search for possible values in Google.

Test if it works by:

Code: Select all

SetGadgetItemText(#WebGadget, #PB_Web_HtmlCode, "<meta http-equiv='X-UA-Compatible' content='IE=edge' /><canvas>If this shows on the webgagdet, then this trick does not work</canvas>")
Only tested on Windows 8.1 PB version 5.30 x86
Post Reply